com.io7m.jcanephora.fake

## Class FakeProgramUniform

- java.lang.Object
- - com.io7m.jcanephora.fake.FakeProgramUniform

- All Implemented Interfaces:
    JCGLNamedType, JCGLProgramUniformType, JCGLResourceUsableType

      public final class FakeProgramUniform
      extends Object
      implements JCGLProgramUniformType

  A fake implementation of program attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FakeProgramUniform(FakeContext in_context, JCGLProgramShaderUsableType in_program, int in_location, String in_name, JCGLType in_type)` Construct a uniform.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FakeContext` | `getContext()`
    `int` | `getGLName()`
    `String` | `getName()`
    `JCGLProgramShaderUsableType` | `getProgram()`
    `JCGLType` | `getType()`
    `boolean` | `isDeleted()`
    `protected void` | `setDeleted()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FakeProgramUniform

          public FakeProgramUniform(FakeContext in_context,
                                    JCGLProgramShaderUsableType in_program,
                                    int in_location,
                                    String in_name,
                                    JCGLType in_type)

      Construct a uniform.
      Parameters:
        `in_context` - The context
        `in_program` - The owning program
        `in_location` - The uniform location
        `in_name` - The uniform name
        `in_type` - The uniform type

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `JCGLProgramUniformType`
      Returns:
        The name of the uniform. This is the name of the uniform as declared in the respective shading program.

    - #### getProgram

          public JCGLProgramShaderUsableType getProgram()

      Specified by:
        `getProgram` in interface `JCGLProgramUniformType`
      Returns:
        A reference to the program that owns the uniform.

    - #### getType

          public JCGLType getType()

      Specified by:
        `getType` in interface `JCGLProgramUniformType`
      Returns:
        The OpenGL type of the uniform.

    - #### getGLName

          public int getGLName()

      Specified by:
        `getGLName` in interface `JCGLNamedType`
      Returns:
        The raw OpenGL 'name' of the object.

    - #### getContext

          protected final FakeContext getContext()

    - #### isDeleted

          public final boolean isDeleted()

      Specified by:
        `isDeleted` in interface `JCGLResourceUsableType`
      Returns:
        `true` iff the given resource has been deleted.

    - #### setDeleted

          protected final void setDeleted()

Copyright © 2016 <code@io7m.com> http://io7m.com